From cdfd78a66119153f61c60d69e597cca535a3c8b5 Mon Sep 17 00:00:00 2001
From: Kevin Redon <kevredon@mail.tsaitgaist.info>
Date: Tue, 11 Sep 2012 11:59:21 +0200
Subject: [PATCH 6/6] add comment/explaination for structure osim_msgb_cb

---
 include/osmocom/sim/sim.h |    9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/include/osmocom/sim/sim.h b/include/osmocom/sim/sim.h
index 12f0074..e415843 100644
--- a/include/osmocom/sim/sim.h
+++ b/include/osmocom/sim/sim.h
@@ -28,11 +28,12 @@ struct osim_apdu_cmd_hdr {
 
 #define msgb_apdu_dr(__x)
 
+/* command body, as specified in ISO/IEC 7816-3:2006(E) §12.1 */
 struct osim_msgb_cb {
-	enum osim_apdu_case apduc;
-	uint16_t lc;
-	uint16_t le;
-	uint16_t sw;
+	enum osim_apdu_case apduc; /* command-response pairs case, defining the encoding of Lc and Le */
+	uint16_t lc; /* number of bytes in the command data field Nc, which will encoded in 0, 1 or 3 bytes into Lc */
+	uint16_t le; /* maximum number of bytes expected in the response data field,  which will encoded in 0, 1, 2 or 3 bytes into Le */
+	uint16_t sw; /* status word, composed of SW1 and SW2 bytes */
 };
 #define OSIM_MSGB_CB(__msgb)	((struct osim_msgb_cb *)&((__msgb)->cb[0]))
 /*! \brief status word from msgb->cb */
-- 
1.7.9.5

